### Class

# WebKit WebsiteDataAccessPermissionRequest

since: 2.30

#### Description [src]

    final class WebKit.WebsiteDataAccessPermissionRequest : GObject.Object
      implements WebKit.PermissionRequest {
      /* No available fields */
    }

A permission request for accessing website data from third-party domains.

WebKitWebsiteDataAccessPermissionRequest represents a request for permission to allow a third-party domain access its cookies.

When a WebKitWebsiteDataAccessPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.30

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

###### webkit_website_data_access_permission_request_get_current_domain

Get the current domain being browsed.

since: 2.30

###### webkit_website_data_access_permission_request_get_requesting_domain

Get the domain requesting permission to access its cookies while browsing the current domain.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitWebsiteDataAccessPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.